Pistis
API referenceApprovals and questions

List waiting approvals

GET
/sessions/{id}/approvals

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Response Body

Waiting approvals by key

application/json
  1. response
pending*
Example Request
curl -X GET 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/approvals'
Example Response
{  "pending": {    "property1": {      "tool": "string",      "args": "string",      "requestedAt": 0    },    "property2": {      "tool": "string",      "args": "string",      "requestedAt": 0    }  }}